{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [{
      "name": "Run tut1",
      "type": "cppdbg",
      "request": "launch",
      "program": "${workspaceFolder}/build/tut1/tut1",
      "args": ["arg1", "arg2"],
      "stopAtEntry": false,
      "cwd": "${workspaceFolder}",
      "environment": [],
      "externalConsole": false,
      "MIMode": "gdb",
      "setupCommands": [
        {
          "description": "Enable pretty-printing for gdb",
          "text": "-enable-pretty-printing",
          "ignoreFailures": true
        }
      ]
    },
    {
      "name": "Run tut2 with options",
      "type": "cppdbg",
      "request": "launch",
      "program": "${workspaceFolder}/build/tut2/tut2",
      "args": [],
      "stopAtEntry": true,
      "cwd": "${workspaceFolder}",
      "environment": [
        { "name": "MY_FLAG", "value": "1" }
      ],
      "externalConsole": true,
      "MIMode": "gdb"
    }]
}